Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaIptc4xmpCore

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaIptc4xmpCore

public class XMPSchemaIptc4xmpCore
extends XMPSchema

Define XMP properties used with IPTC specification.

Version:
  $Revision: 1.3 $
Author:
  $Author: benlitchfield $

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaIptc4xmpCore(org.w3c.dom.Element element, java.lang.String aPrefix)` Constructor from an existing element.
`XMPSchemaIptc4xmpCore(XMPMetadata metadata)` Construct a new blank IPTC schema.

Method Summary
`void` | `addScene(java.lang.String scene)` The IPTC scene.
`void` | `addSubjectCode(java.lang.String subject)` Add IPTC subject code.
`java.lang.String` | `getCiAdrCity()` Contact Info Address City.
`java.lang.String` | `getCiAdrCtry()` Contact Info country.
`java.lang.String` | `getCiAdrExtadr()` Contact Info Extended Address(company name).
`java.lang.String` | `getCiAdrPcode()` Postal code.
`java.lang.String` | `getCiAdrRegion()` Postal region or state.
`java.lang.String` | `getCiEmailWork()` Work email.
`java.lang.String` | `getCiTelWork()` Work Telephone.
`java.lang.String` | `getCiUrlWork()` Work URL.
`java.lang.String` | `getCountryCode()` ISO Country Code.
`java.lang.String` | `getIntellectualGenre()` Nature of a news object.
`java.lang.String` | `getLocation()` Name of location that the content is focussing on.
`java.util.List` | `getScenes()` A list of all the scenes.
`java.util.List` | `getSubjectCodes()` Get a list of all IPTC subject codes.
`void` | `setCiAdrCity(java.lang.String city)` Contact Info Address City.
`void` | `setCiAdrCtry(java.lang.String country)` Contact Info country.
`void` | `setCiAdrExtadr(java.lang.String adr)` Contact Info Extended Address(company name).
`void` | `setCiAdrPcode(java.lang.String po)` Postal code.
`void` | `setCiAdrRegion(java.lang.String state)` Postal region or state.
`void` | `setCiEmailWork(java.lang.String email)` Work email.
`void` | `setCiTelWork(java.lang.String tel)` Work telephone.
`void` | `setCiUrlWork(java.lang.String url)` Work URL.
`void` | `setCountryCode(java.lang.String code)` ISO Country Code.
`void` | `setIntellectualGenre(java.lang.String genre)` Nature of a news object.
`void` | `setLocation(java.lang.String loc)` Name of location that the content is focussing on.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaIptc4xmpCore

    public XMPSchemaIptc4xmpCore(XMPMetadata metadata)

  Construct a new blank IPTC schema.

Parameters:
  `metadata` - The parent metadata schema that this will be part of.

### XMPSchemaIptc4xmpCore

    public XMPSchemaIptc4xmpCore(org.w3c.dom.Element element,
                                 java.lang.String aPrefix)

  Constructor from an existing element.

Parameters:
  `element` - The XML element.
  `aPrefix` - The XML prefix; Iptc4xmpCore.

Method Detail

### setCiAdrCity

    public void setCiAdrCity(java.lang.String city)

  Contact Info Address City.

  Parameters:
    `city` - The city name.

### getCiAdrCity

    public java.lang.String getCiAdrCity()

  Contact Info Address City.

  Returns:
    The city.

### setCiAdrCtry

    public void setCiAdrCtry(java.lang.String country)

  Contact Info country.

  Parameters:
    `country` - The CI country.

### getCiAdrCtry

    public java.lang.String getCiAdrCtry()

  Contact Info country.

  Returns:
    The CI country.

### setCiAdrExtadr

    public void setCiAdrExtadr(java.lang.String adr)

  Contact Info Extended Address(company name).

  Parameters:
    `adr` - Address info.

### getCiAdrExtadr

    public java.lang.String getCiAdrExtadr()

  Contact Info Extended Address(company name).

  Returns:
    The extended address info.

### setCiAdrPcode

    public void setCiAdrPcode(java.lang.String po)

  Postal code.

  Parameters:
    `po` - The postal code.

### getCiAdrPcode

    public java.lang.String getCiAdrPcode()

  Postal code.

  Returns:
    The postal code.

### setCiAdrRegion

    public void setCiAdrRegion(java.lang.String state)

  Postal region or state.

  Parameters:
    `state` - The postal region

### getCiAdrRegion

    public java.lang.String getCiAdrRegion()

  Postal region or state.

  Returns:
    The postal state.

### setCiEmailWork

    public void setCiEmailWork(java.lang.String email)

  Work email.

  Parameters:
    `email` - The work email.

### getCiEmailWork

    public java.lang.String getCiEmailWork()

  Work email.

  Returns:
    The work email.

### setCiTelWork

    public void setCiTelWork(java.lang.String tel)

  Work telephone.

  Parameters:
    `tel` - The work telephone.

### getCiTelWork

    public java.lang.String getCiTelWork()

  Work Telephone.

  Returns:
    The work telephone.

### setCiUrlWork

    public void setCiUrlWork(java.lang.String url)

  Work URL.

  Parameters:
    `url` - The work URL.

### getCiUrlWork

    public java.lang.String getCiUrlWork()

  Work URL.

  Returns:
    work URL.

### setLocation

    public void setLocation(java.lang.String loc)

  Name of location that the content is focussing on.

  Parameters:
    `loc` - The location.

### getLocation

    public java.lang.String getLocation()

  Name of location that the content is focussing on.

  Returns:
    The location.

### addScene

    public void addScene(java.lang.String scene)

  The IPTC scene.

  Parameters:
    `scene` - The IPTC scene.

### getScenes

    public java.util.List getScenes()

  A list of all the scenes.

  Returns:
    The list of scenes.

### addSubjectCode

    public void addSubjectCode(java.lang.String subject)

  Add IPTC subject code.

  Parameters:
    `subject` - The IPTC subject.

### getSubjectCodes

    public java.util.List getSubjectCodes()

  Get a list of all IPTC subject codes.

  Returns:
    All IPTC subject codes.

### setIntellectualGenre

    public void setIntellectualGenre(java.lang.String genre)

  Nature of a news object.

  Parameters:
    `genre` - The news genre.

### getIntellectualGenre

    public java.lang.String getIntellectualGenre()

  Nature of a news object.

  Returns:
    The news genre.

### setCountryCode

    public void setCountryCode(java.lang.String code)

  ISO Country Code.

  Parameters:
    `code` - The country code.

### getCountryCode

    public java.lang.String getCountryCode()

  ISO Country Code.

  Returns:
    The country code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD